package com.rehome.jpahefengweather.utils;

import com.google.gson.Gson;

/**
 * 简单的分页实现类
 *
 * @author LiuHuiYu
 * @version v1.0.0.0
 * Created DateTime 2022-03-21 17:28
 */
public class PagingImplDto implements IPaging, ISerializationJson {
    Paging paging;

    public PagingImplDto() {
        this.paging = new Paging();
    }

    @Override
    public Paging getPaging() {
        return this.paging;
    }

    @Override
    public void setPaging(Paging paging) {
        this.paging = paging;
    }

    @Override
    public String toJson() {
        return new Gson().toJson(this);
    }
}
